#include <bits/stdc++.h>
using namespace std;
long long n,q,d[100],p[100],k,br,bez_zbir;


int main(){
    cin>>n>>q;

    for(int i=1;i<=n;i++){
        cin>>d[i]>>p[i];
        bez_zbir+=p[i];
    }

    for(int i=1;i<=q;i++){
        cin>>k;
        if(k>=bez_zbir){br=bez_zbir;}
    }

    cout<<br<<endl;

return 0;
}